Azure
action WebApp

# stop_webapp

Stop a web app at random

Run it now
View details

Type | action
Module | chaosazure.webapp.actions
Name | stop_webapp
Return | None

Usage

JSON

    {
      "name": "stop-webapp",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosazure.webapp.actions",
        "func": "stop_webapp"
      }
    }

YAML

    name: stop-webapp
    provider:
      func: stop_webapp
      module: chaosazure.webapp.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

If the filter is omitted all virtual machine scale sets in the subscription will be selected as potential chaos candidates.

Filtering example: `'where resourceGroup=="myresourcegroup" and name="myresourcename"'`

Signature

    def stop_webapp(filter: str = None,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  action WebApp

  ## `delete_webapp`

  Delete a web app at random
- Azure
  action WebApp

  ## `restart_webapp`

  Restart a web app at random
- Azure
  action WebApp

  ## `start_webapp`

  Start a web app at random